org.apache.commons.codec.language.bm

## Enum NameType

- java.lang.Object
- - java.lang.Enum<NameType>
  - - org.apache.commons.codec.language.bm.NameType

- All Implemented Interfaces:
    Serializable, Comparable<NameType>

      public enum NameType
      extends Enum<NameType>

  Supported types of names. Unless you are matching particular family names, use `GENERIC`. The `GENERIC` NameType should work reasonably well for non-name words. The other encodings are specifically tuned to family names, and may not work well at all for general text.
  Since:
    1.6
  Version:
    $Id: NameType.java 1429868 2013-01-07 16:08:05Z ggregory $

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASHKENAZI` Ashkenazi family names
    `GENERIC` Generic names and words
    `SEPHARDIC` Sephardic family names

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the short version of the name type.
    `static NameType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NameType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASHKENAZI

          public static final NameType ASHKENAZI

      Ashkenazi family names

    - #### GENERIC

          public static final NameType GENERIC

      Generic names and words

    - #### SEPHARDIC

          public static final NameType SEPHARDIC

      Sephardic family names

  - ### Method Detail

    - #### values

          public static NameType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NameType c : NameType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NameType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Gets the short version of the name type.
      Returns:
        the NameType short string

Copyright © 2002–2017 The Apache Software Foundation. All rights reserved.